TreeTag (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.taglib.TreeTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class TreeTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                  org.richfaces.taglib.TreeTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class TreeTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TreeTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAcceptedTypes(java.lang.String __acceptedTypes)`
`void` | `setAdviseNodeOpened(java.lang.String __adviseNodeOpened)`
`void` | `setAdviseNodeSelected(java.lang.String __adviseNodeSelected)`
`void` | `setAjaxKeys(java.lang.String __ajaxKeys)`
`void` | `setAjaxSingle(java.lang.String __ajaxSingle)`
`void` | `setAjaxSubmitSelection(java.lang.String __ajaxSubmitSelection)`
`void` | `setBypassUpdates(java.lang.String __bypassUpdates)`
`void` | `setChangeExpandListener(java.lang.String __changeExpandListener)`
`void` | `setComponentState(java.lang.String __componentState)`
`void` | `setData(java.lang.String __data)`
`void` | `setDragIndicator(java.lang.String __dragIndicator)`
`void` | `setDragListener(java.lang.String __dragListener)`
`void` | `setDragType(java.lang.String __dragType)`
`void` | `setDragValue(java.lang.String __dragValue)`
`void` | `setDropListener(java.lang.String __dropListener)`
`void` | `setDropValue(java.lang.String __dropValue)`
`void` | `setEventsQueue(java.lang.String __eventsQueue)`
`void` | `setFirst(java.lang.String __first)`
`void` | `setFocus(java.lang.String __focus)`
`void` | `setFooter(java.lang.String __footer)`
`void` | `setHeader(java.lang.String __header)`
`void` | `setHighlightedClass(java.lang.String __highlightedClass)`
`void` | `setIcon(java.lang.String __icon)`
`void` | `setIconCollapsed(java.lang.String __iconCollapsed)`
`void` | `setIconExpanded(java.lang.String __iconExpanded)`
`void` | `setIconLeaf(java.lang.String __iconLeaf)`
`void` | `setIgnoreDupResponses(java.lang.String __ignoreDupResponses)`
`void` | `setImmediate(java.lang.String __immediate)`
`void` | `setLimitToList(java.lang.String __limitToList)`
`void` | `setNodeFace(java.lang.String __nodeFace)`
`void` | `setNodeSelectListener(java.lang.String __nodeSelectListener)`
`void` | `setOnbeforedomupdate(java.lang.String __onbeforedomupdate)`
`void` | `setOncollapse(java.lang.String __oncollapse)`
`void` | `setOncomplete(java.lang.String __oncomplete)`
`void` | `setOndragend(java.lang.String __ondragend)`
`void` | `setOndragenter(java.lang.String __ondragenter)`
`void` | `setOndragexit(java.lang.String __ondragexit)`
`void` | `setOndragstart(java.lang.String __ondragstart)`
`void` | `setOndrop(java.lang.String __ondrop)`
`void` | `setOndropend(java.lang.String __ondropend)`
`void` | `setOnexpand(java.lang.String __onexpand)`
`void` | `setOnselected(java.lang.String __onselected)`
`void` | `setPreserveDataInRequest(java.lang.String __preserveDataInRequest)`
`void` | `setPreserveModel(java.lang.String __preserveModel)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRequestDelay(java.lang.String __requestDelay)`
`void` | `setReRender(java.lang.String __reRender)`
`void` | `setRowIndex(java.lang.String __rowIndex)`
`void` | `setRowKey(java.lang.String __rowKey)`
`void` | `setRowKeyVar(java.lang.String __rowKeyVar)`
`void` | `setRows(java.lang.String __rows)`
`void` | `setSelectedClass(java.lang.String __selectedClass)`
`void` | `setShowConnectingLines(java.lang.String __showConnectingLines)`
`void` | `setStateAdvisor(java.lang.String __stateAdvisor)`
`void` | `setStateVar(java.lang.String __stateVar)`
`void` | `setStatus(java.lang.String __status)`
`void` | `setSwitchType(java.lang.String __switchType)`
`void` | `setTimeout(java.lang.String __timeout)`
`void` | `setToggleOnClick(java.lang.String __toggleOnClick)`
`void` | `setTypeMapping(java.lang.String __typeMapping)`
`void` | `setVar(java.lang.String __var)`
`void` | `setVarState(java.lang.String __varState)`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeTag

    public TreeTag()

Method Detail

### setDragValue

    public void setDragValue(java.lang.String __dragValue)

### setFooter

    public void setFooter(java.lang.String __footer)

### setAjaxSubmitSelection

    public void setAjaxSubmitSelection(java.lang.String __ajaxSubmitSelection)

### setStateVar

    public void setStateVar(java.lang.String __stateVar)

### setRowKeyVar

    public void setRowKeyVar(java.lang.String __rowKeyVar)

### setFocus

    public void setFocus(java.lang.String __focus)

### setOnexpand

    public void setOnexpand(java.lang.String __onexpand)

### setBypassUpdates

    public void setBypassUpdates(java.lang.String __bypassUpdates)

### setRowKey

    public void setRowKey(java.lang.String __rowKey)

### setSwitchType

    public void setSwitchType(java.lang.String __switchType)

### setPreserveDataInRequest

    public void setPreserveDataInRequest(java.lang.String __preserveDataInRequest)

### setOndropend

    public void setOndropend(java.lang.String __ondropend)

### setLimitToList

    public void setLimitToList(java.lang.String __limitToList)

### setOncollapse

    public void setOncollapse(java.lang.String __oncollapse)

### setVar

    public void setVar(java.lang.String __var)

### setVarState

    public void setVarState(java.lang.String __varState)

### setShowConnectingLines

    public void setShowConnectingLines(java.lang.String __showConnectingLines)

### setDragListener

    public void setDragListener(java.lang.String __dragListener)

### setRows

    public void setRows(java.lang.String __rows)

### setTimeout

    public void setTimeout(java.lang.String __timeout)

### setNodeSelectListener

    public void setNodeSelectListener(java.lang.String __nodeSelectListener)

### setDropValue

    public void setDropValue(java.lang.String __dropValue)

### setDropListener

    public void setDropListener(java.lang.String __dropListener)

### setHeader

    public void setHeader(java.lang.String __header)

### setFirst

    public void setFirst(java.lang.String __first)

### setIconLeaf

    public void setIconLeaf(java.lang.String __iconLeaf)

### setOndragexit

    public void setOndragexit(java.lang.String __ondragexit)

### setOndragstart

    public void setOndragstart(java.lang.String __ondragstart)

### setNodeFace

    public void setNodeFace(java.lang.String __nodeFace)

### setAdviseNodeSelected

    public void setAdviseNodeSelected(java.lang.String __adviseNodeSelected)

### setOndragend

    public void setOndragend(java.lang.String __ondragend)

### setOndragenter

    public void setOndragenter(java.lang.String __ondragenter)

### setIconExpanded

    public void setIconExpanded(java.lang.String __iconExpanded)

### setOncomplete

    public void setOncomplete(java.lang.String __oncomplete)

### setComponentState

    public void setComponentState(java.lang.String __componentState)

### setReRender

    public void setReRender(java.lang.String __reRender)

### setAjaxKeys

    public void setAjaxKeys(java.lang.String __ajaxKeys)

### setIconCollapsed

    public void setIconCollapsed(java.lang.String __iconCollapsed)

### setSelectedClass

    public void setSelectedClass(java.lang.String __selectedClass)

### setIcon

    public void setIcon(java.lang.String __icon)

### setAjaxSingle

    public void setAjaxSingle(java.lang.String __ajaxSingle)

### setDragIndicator

    public void setDragIndicator(java.lang.String __dragIndicator)

### setOndrop

    public void setOndrop(java.lang.String __ondrop)

### setChangeExpandListener

    public void setChangeExpandListener(java.lang.String __changeExpandListener)

### setRowIndex

    public void setRowIndex(java.lang.String __rowIndex)

### setAdviseNodeOpened

    public void setAdviseNodeOpened(java.lang.String __adviseNodeOpened)

### setPreserveModel

    public void setPreserveModel(java.lang.String __preserveModel)

### setAcceptedTypes

    public void setAcceptedTypes(java.lang.String __acceptedTypes)

### setHighlightedClass

    public void setHighlightedClass(java.lang.String __highlightedClass)

### setDragType

    public void setDragType(java.lang.String __dragType)

### setStatus

    public void setStatus(java.lang.String __status)

### setToggleOnClick

    public void setToggleOnClick(java.lang.String __toggleOnClick)

### setRequestDelay

    public void setRequestDelay(java.lang.String __requestDelay)

### setEventsQueue

    public void setEventsQueue(java.lang.String __eventsQueue)

### setOnselected

    public void setOnselected(java.lang.String __onselected)

### setImmediate

    public void setImmediate(java.lang.String __immediate)

### setData

    public void setData(java.lang.String __data)

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String __onbeforedomupdate)

### setIgnoreDupResponses

    public void setIgnoreDupResponses(java.lang.String __ignoreDupResponses)

### setStateAdvisor

    public void setStateAdvisor(java.lang.String __stateAdvisor)

### setTypeMapping

    public void setTypeMapping(java.lang.String __typeMapping)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.